@property --font-main-text {
    syntax: "<string>";
    inherits: false;
    initial-value: "alessandraregular";
}

@property --font-block-bold {
    syntax: "<string>";
    inherits: false;
    initial-value: "archivo_blackregular";
}

@property --font-block-text {
    syntax: "<string>";
    inherits: false;
    initial-value: "champagne__limousinesbold";
}

@font-face {
    /* Archivo Black
       By Omnibus Type
       https://www.1001fonts.com/archivo-black-font.html
       License:  Free for personal use
                 Free for commercial use 
                 Public domain, GPL, OFL
     */
    font-family: 'archivo_blackregular';
    src: url('/assets/fonts/archivoblack-regular-webfont.woff2') format('woff2'),
         url('/assets/fonts/archivoblack-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    /* Alessandra Font
       https://www.dafontfree.io/alessandra-font/
       License: Personal Use Only!
     */
    font-family: 'alessandraregular';
    src: url('/assets/fonts/alessandraregular-vmzpo-webfont.woff2') format('woff2'),
         url('/assets/fonts/alessandraregular-vmzpo-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    /* Champagne & Limousines 
       https://www.dafontfree.io/champagne-limousines-font-family-free-download/
       https://www.dafontfree.io/champagne-limousines-font/
       License: Personal Use Only!
     */
    font-family: 'champagne__limousinesbold';
    src: url('/assets/fonts/champagne__limousines_bold-webfont.woff2') format('woff2'),
         url('/assets/fonts/champagne__limousines_bold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@keyframes animation-text-focus-in {
    0% {
        opacity: 0;
        visibility: hidden;
    }

    100% {
        opacity: 1;
        visibility: visible;
    }
}

@keyframes animation-date-focus-in {
    0% {
        filter: blur(3rem);
        color: var(--pallet-pink-drk);
        opacity: 0;
        visibility: hidden;
    }

    100% {
        filter: blur(0);
        color: var(--pallet-pink-drk);
        opacity: 1;
        visibility: visible;
    }
}

@keyframes animation-diamond-spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

@keyframes animation-diamond-glow {
    0% {
        box-shadow: none;
    }

    20% {
        box-shadow: 10px -10px 20px #1b0470;
        box-shadow: -6px 6px 20px #b3f883;
    }

    40% {
        box-shadow: none;
    }

    60% {
        box-shadow: 6px -6px 20px #e84475;
        box-shadow: -10px 10px 20px #ab1ecb;
    }

    80% {
        box-shadow: none;
    }

    100% {
        box-shadow: 10px -10px 20px #848282;
        box-shadow: -5px 5px 20px #014e65;
    }
}

@keyframes animation-diamond-show {
    0% {
        filter: blur(3rem);
        opacity: 0;
        visibility: hidden;
    }

    100% {
        filter: blur(0);
        opacity: 1;
        visibility: visible;
    }
}

@keyframes animation-glow-date-font {
    0% {
        text-shadow: none;
    }

    100% {
        text-shadow: none;
    }
}

html,
body {
    height: 100%;
    overflow-x: hidden;
    overflow-y: hidden;
}

body {
    background-color: var(--pallet-sage-drk);
    background-image: repeating-linear-gradient(90deg, var(--pallet-sage-xdk), var(--pallet-sage-drk) 10px, var(--pallet-sage-lgt) 10px, var(--pallet-sage-drk) 5px);
    padding: 5%;
    font-size: 2rem;
    margin: 0;
    color: transparent;
    text-align: center;
}

body::after {
    content: "";
    background-image: url("/assets/imgs/wedding/ring.png");
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center top 10%;
    opacity: 0.095;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    position: absolute;
    z-index: -1;
}

.container {
    margin: 0;
    text-align: center;
}

.animation-container,
.animation-container-header,
.animation-container-date,
.animation-container-textln1,
.animation-container-textln2,
.animation-container-diamond,
.animation-container-footer,
.animation-container-footer2 {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
}

.animation-date {
    font-family: var(--font-block-bold);
    font-weight: bold;
    color: var(--pallet-pink-drk);
    opacity: 0;
    visibility: hidden;
    animation-name: animation-date-focus-in, animation-glow-date-font;
    animation-duration: 2.5s, 1s;
    animation-timing-function: linear, ease-in-out;
    animation-delay: 4s, 4s;
    animation-iteration-count: 1, infinite;
    animation-direction: normal, alternate;
    animation-fill-mode: forwards, none;
    display: inline-block;
    overflow: visible;
}

.animation-header,
.animation-textln1,
.animation-textln2 {
    font-family: var(--font-main-text);
    font-weight: bold;
    display: inline-block;
    background-clip: inherit;
    background: linear-gradient(#9c9b9b, #828080, #eaeaea, #8d8c8c, #eaeaea, #b1acac, #eaeaea, #8d8c8c, #716f6f, #b1acac);
    -webkit-background-clip: text;
    color: transparent;
    padding: 15px 50px;
    opacity: 0;
    visibility: hidden;
}

.animation-header {
    animation-name: animation-text-focus-in;
    animation-duration: 2.5s;
    animation-timing-function: ease-in-out;
    animation-delay: 1s;
    animation-iteration-count: 1;
    animation-direction: normal;
    animation-fill-mode: forwards;
}

.animation-textln1 {
    animation-name: animation-text-focus-in;
    animation-duration: 1s;
    animation-timing-function: ease-in-out;
    animation-delay: 8s;
    animation-iteration-count: 1;
    animation-direction: normal;
    animation-fill-mode: forwards;
}

.animation-textln2 {
    animation-name: animation-text-focus-in;
    animation-duration: 1s;
    animation-timing-function: ease-in-out;
    animation-delay: 8.5s;
    animation-iteration-count: 1;
    animation-direction: normal;
    animation-fill-mode: forwards;
    padding-bottom: 25px;
    -webkit-padding-bottom: 25px;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
}

.animation-footer {
    font-family: var(--font-block-text);
    display: inline-block;
    padding-top: 15px;
    color: transparent;
    opacity: 0;
    visibility: hidden;
    background-clip: inherit;
    background: linear-gradient(var(--pallet-pink-drk), var(--pallet-pink-lgt), var(--pallet-white), var(--pallet-pink-lgt), var(--pallet-pink-drk));
    -webkit-background-clip: text;
    animation-name: animation-diamond-show;
    animation-duration: 2s;
    animation-timing-function: ease-in-out, linea;
    animation-delay: 10s;
    animation-iteration-count: 1;
    animation-direction: normal;
    animation-fill-mode: forwards;
}

.animation-footer-skip {
    font-family: var(--font-block-text);
    display: block;
    padding-top: 15px;
    margin-top: 1.25rem;
}

.animation-footer-skip a,
.animation-footer-skip a:hover,
.animation-footer-skip a:visited,
.animation-footer-skip a:link,
.animation-footer-skip a:active {
    color: var(--pallet-white);
    text-decoration: none;
    font-family: Arial, Helvetica, sans-serif;
    font-size: .8rem;
}

.animation-diamond-img {
    width: 60px;
    height: 60px;
    opacity: 0;
    visibility: hidden;
    animation-name: animation-diamond-show, animation-diamond-spin, animation-diamond-glow;
    animation-duration: 2s, 12s, 20s;
    animation-timing-function: ease-in-out, linear, linear;
    animation-delay: 10s, 10s, 13s;
    animation-iteration-count: 1, infinite, infinite;
    animation-direction: normal, normal, normal;
    animation-fill-mode: forwards, none, none;
}

#btn-diamond:focus,
#btn-diamond:hover {
    opacity: .33;
    box-shadow: 0px 0px 30px var(--pallet-white);
}

@media (max-width: 576px) {

    .animation-header,
    .animation-textln1,
    .animation-textln2 {
        font-size: 2rem;
        line-height: calc(100% + 2rem);
    }

    .animation-header,
    .animation-textln1,
    .animation-textln2 {
        padding: 15px 10px 5px 8px;
    }

    .animation-textln2 {
        line-height: 3.25rem;
        margin-bottom: 12px;
    }

    .animation-date {
        font-size: 3.75rem;
    }

    .animation-diamond-img {
        width: 30px;
        height: 30px;
    }

    .animation-footer {
        font-size: 1.5rem;
        padding: 0 2px 0 2px;
        margin: 10px 0;
    }
}

@media (min-width: 577px) and (max-width: 768px) {

    .animation-header,
    .animation-textln1,
    .animation-textln2 {
        font-size: 3rem;
        line-height: calc(100% + 2rem);
    }

    .animation-header,
    .animation-textln1,
    .animation-textln2 {
        padding: 15px 10px 5px 8px;
    }

    .animation-textln2 {
        line-height: 4rem;
        padding-bottom: 10px;
        margin-bottom: 10px;
    }

    .animation-date {
        font-size: 4.5rem;
    }

    .animation-diamond-img {
        width: 35px;
        height: 35px;
    }

    .animation-footer {
        font-size: 1.75rem;
        padding: 0 2px 0 2px;
        margin: 10px 0;
    }
}

@media (min-width: 769px) and (max-width: 992px) {

    .animation-header,
    .animation-textln1,
    .animation-textln2 {
        font-size: 3.5rem;
        line-height: calc(100% + 2rem);
    }

    .animation-header,
    .animation-textln1 {
        padding: 15px 10px 5px 10px;
    }

    .animation-textln1,
    .animation-textln2 {
        padding: 5px 10px 5px 10px;
    }

    .animation-textln2 {
        line-height: 5rem;
        padding-bottom: 10px;
        margin-bottom: 10px;
    }

    .animation-date {
        font-size: 5rem;
    }

    .animation-diamond-img {
        width: 40px;
        height: 40px;
    }

    .animation-footer {
        font-size: 1.75rem;
        padding: 0 2px 0 2px;
        margin: 10px 0;
    }
}

@media (min-width: 993px) and (max-width: 1200px) {

    .animation-header,
    .animation-textln1,
    .animation-textln2 {
        font-size: 4rem;
        line-height: calc(100% + 2rem);
    }

    .animation-header,
    .animation-textln1 {
        padding: 15px 10px 5px 10px;
    }

    .animation-textln1,
    .animation-textln2 {
        padding: 5px 10px 5px 10px;
    }

    .animation-textln2 {
        line-height: 6rem;
        padding-bottom: 10px;
        margin-bottom: 10px;
    }

    .animation-date {
        font-size: 5.5rem;
    }

    .animation-diamond-img {
        width: 50px;
        height: 50px;
    }

    .animation-footer {
        font-size: 1.75rem;
        padding: 0 2px 0 2px;
        margin: 10px 0;
    }
}

@media (min-width: 1201px) {

    .animation-header,
    .animation-textln1,
    .animation-textln2 {
        font-size: 5rem;
        line-height: calc(100% + 2rem);
    }

    .animation-header,
    .animation-textln1 {
        padding: 15px 10px 5px 10px;
    }

    .animation-textln1,
    .animation-textln2 {
        padding: 5px 10px 5px 10px;
    }

    .animation-textln2 {
        line-height: 8rem;
        padding-bottom: 10px;
        margin-bottom: 10px;
    }

    .animation-date {
        font-size: 6rem;
    }

    .animation-diamond-img {
        width: 60px;
        height: 60px;
    }

    .animation-footer {
        font-size: 1.75rem;
        padding: 0 2px 0 2px;
        margin: 10px 0;
    }
}